public static interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder extends ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilder, ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder |
basic() |
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
basicPropertyBinding(boolean basicPropertyBinding)
Whether the endpoint should use basic property binding (Camel 2.x) or
the newer property binding with additional capabilities.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
basicPropertyBinding(String basicPropertyBinding)
Whether the endpoint should use basic property binding (Camel 2.x) or
the newer property binding with additional capabilities.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
clientBuilder(Object clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
clientBuilder(String clientBuilder)
Provide access to the http client request parameters used on new
RequestConfig instances used by producers or consumers of this
endpoint.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
clientConnectionManager(Object clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
clientConnectionManager(String clientConnectionManager)
To use a custom HttpClientConnectionManager to manage connections.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
connectionsPerRoute(int connectionsPerRoute)
The maximum number of connections per route.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
connectionsPerRoute(String connectionsPerRoute)
The maximum number of connections per route.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
headerFilterStrategy(String headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpBinding(Object httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpBinding(String httpBinding)
To use a custom HttpBinding to control the mapping between Camel
message and HttpClient.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpClient(Object httpClient)
Sets a custom HttpClient to be used by the producer.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpClient(String httpClient)
Sets a custom HttpClient to be used by the producer.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpClientConfigurer(Object httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpClientConfigurer(String httpClientConfigurer)
Register a custom configuration strategy for new HttpClient instances
created by producers or consumers such as to configure authentication
mechanisms etc.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpClientOptions(Map values)
To configure the HttpClient using the key/values from the Map.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpClientOptions(String key,
Object value)
To configure the HttpClient using the key/values from the Map.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpContext(Object httpContext)
To use a custom HttpContext instance.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
httpContext(String httpContext)
To use a custom HttpContext instance.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
mapHttpMessageBody(boolean mapHttpMessageBody)
If this option is true then IN exchange Body of the exchange will be
mapped to HTTP body.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
mapHttpMessageBody(String mapHttpMessageBody)
If this option is true then IN exchange Body of the exchange will be
mapped to HTTP body.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
mapHttpMessageFormUrlEncodedBody(boolean mapHttpMessageFormUrlEncodedBody)
If this option is true then IN exchange Form Encoded body of the
exchange will be mapped to HTTP.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
mapHttpMessageFormUrlEncodedBody(String mapHttpMessageFormUrlEncodedBody)
If this option is true then IN exchange Form Encoded body of the
exchange will be mapped to HTTP.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
mapHttpMessageHeaders(boolean mapHttpMessageHeaders)
If this option is true then IN exchange Headers of the exchange will
be mapped to HTTP headers.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
mapHttpMessageHeaders(String mapHttpMessageHeaders)
If this option is true then IN exchange Headers of the exchange will
be mapped to HTTP headers.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
maxTotalConnections(int maxTotalConnections)
The maximum number of connections.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
maxTotalConnections(String maxTotalConnections)
The maximum number of connections.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
setHttpResponseDuringProcessing(Boolean setHttpResponseDuringProcessing)
Sets the flag to use the endpoint where you can either populate camel
exchange from servlet response or use request itself which may be
thought as if it is a proxy.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
setHttpResponseDuringProcessing(String setHttpResponseDuringProcessing)
Sets the flag to use the endpoint where you can either populate camel
exchange from servlet response or use request itself which may be
thought as if it is a proxy.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
skipServletProcessing(Boolean skipServletProcessing)
Sets the flag to use skip servlet processing and let camel take over
processing.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
skipServletProcessing(String skipServletProcessing)
Sets the flag to use skip servlet processing and let camel take over
processing.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
synchronous(boolean synchronous)
Sets whether synchronous processing should be strictly used, or Camel
is allowed to use asynchronous processing (if supported).
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
synchronous(String synchronous)
Sets whether synchronous processing should be strictly used, or Camel
is allowed to use asynchronous processing (if supported).
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
useSystemProperties(boolean useSystemProperties)
To use System Properties as fallback for configuration.
|
default ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder |
useSystemProperties(String useSystemProperties)
To use System Properties as fallback for configuration.
|
eagerCheckContentAvailable, eagerCheckContentAvailable, exceptionHandler, exceptionHandler, exchangePattern, exchangePattern, optionsEnabled, optionsEnabled, traceEnabled, traceEnableddoSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, getUricookieHandler, cookieHandler, cookieStore, cookieStore, deleteWithBody, deleteWithBody, getWithBody, getWithBody, okStatusCodeRangedefault ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder basic()
basic in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderbasic in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpBinding(Object httpBinding)
org.apache.camel.http.common.HttpBinding type.
Group: common (advanced)httpBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpBinding(String httpBinding)
org.apache.camel.http.common.HttpBinding type.
Group: common (advanced)httpBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder basicPropertyBinding(boolean basicPropertyBinding)
boolean type.
Default: false
Group: advancedbasicPropertyBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderbasicPropertyBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder basicPropertyBinding(String basicPropertyBinding)
boolean type.
Default: false
Group: advancedbasicPropertyBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderbasicPropertyBinding in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder clientBuilder(Object clientBuilder)
org.apache.http.impl.client.HttpClientBuilder type.
Group: advancedclientBuilder in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderclientBuilder in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder clientBuilder(String clientBuilder)
org.apache.http.impl.client.HttpClientBuilder type.
Group: advancedclientBuilder in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderclientBuilder in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder clientConnectionManager(Object clientConnectionManager)
org.apache.http.conn.HttpClientConnectionManager type.
Group: advancedclientConnectionManager in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderclientConnectionManager in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder clientConnectionManager(String clientConnectionManager)
org.apache.http.conn.HttpClientConnectionManager type.
Group: advancedclientConnectionManager in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderclientConnectionManager in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder connectionsPerRoute(int connectionsPerRoute)
int type.
Default: 20
Group: advancedconnectionsPerRoute in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderconnectionsPerRoute in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder connectionsPerRoute(String connectionsPerRoute)
int type.
Default: 20
Group: advancedconnectionsPerRoute in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderconnectionsPerRoute in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
org.apache.camel.spi.HeaderFilterStrategy type.
Group: advancedheaderFilterStrategy in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderheaderFilterStrategy in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder headerFilterStrategy(String headerFilterStrategy)
org.apache.camel.spi.HeaderFilterStrategy type.
Group: advancedheaderFilterStrategy in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderheaderFilterStrategy in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpClient(Object httpClient)
org.apache.http.client.HttpClient type.
Group: advancedhttpClient in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpClient in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpClient(String httpClient)
org.apache.http.client.HttpClient type.
Group: advancedhttpClient in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpClient in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpClientConfigurer(Object httpClientConfigurer)
org.apache.camel.component.http.HttpClientConfigurer
type.
Group: advancedhttpClientConfigurer in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpClientConfigurer in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpClientConfigurer(String httpClientConfigurer)
org.apache.camel.component.http.HttpClientConfigurer
type.
Group: advancedhttpClientConfigurer in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpClientConfigurer in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpClientOptions(String key, Object value)
java.util.Map<java.lang.String,
java.lang.Object> type.
The option is multivalued, and you can use the
httpClientOptions(String, Object) method to add a value (call the
method multiple times to set more values).
Group: advancedhttpClientOptions in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpClientOptions in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpClientOptions(Map values)
java.util.Map<java.lang.String,
java.lang.Object> type.
The option is multivalued, and you can use the
httpClientOptions(String, Object) method to add a value (call the
method multiple times to set more values).
Group: advancedhttpClientOptions in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpClientOptions in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpContext(Object httpContext)
org.apache.http.protocol.HttpContext
type.
Group: advancedhttpContext in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpContext in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder httpContext(String httpContext)
org.apache.http.protocol.HttpContext type.
Group: advancedhttpContext in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderhttpContext in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder mapHttpMessageBody(boolean mapHttpMessageBody)
boolean type.
Default: true
Group: advancedmapHttpMessageBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermapHttpMessageBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder mapHttpMessageBody(String mapHttpMessageBody)
boolean type.
Default: true
Group: advancedmapHttpMessageBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermapHttpMessageBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder mapHttpMessageFormUrlEncodedBody(boolean mapHttpMessageFormUrlEncodedBody)
boolean type.
Default: true
Group: advancedmapHttpMessageFormUrlEncodedBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermapHttpMessageFormUrlEncodedBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder mapHttpMessageFormUrlEncodedBody(String mapHttpMessageFormUrlEncodedBody)
boolean type.
Default: true
Group: advancedmapHttpMessageFormUrlEncodedBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermapHttpMessageFormUrlEncodedBody in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder mapHttpMessageHeaders(boolean mapHttpMessageHeaders)
boolean type.
Default: true
Group: advancedmapHttpMessageHeaders in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermapHttpMessageHeaders in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder mapHttpMessageHeaders(String mapHttpMessageHeaders)
boolean type.
Default: true
Group: advancedmapHttpMessageHeaders in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermapHttpMessageHeaders in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder maxTotalConnections(int maxTotalConnections)
int type.
Default: 200
Group: advancedmaxTotalConnections in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermaxTotalConnections in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder maxTotalConnections(String maxTotalConnections)
int type.
Default: 200
Group: advancedmaxTotalConnections in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildermaxTotalConnections in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder setHttpResponseDuringProcessing(Boolean setHttpResponseDuringProcessing)
java.lang.Boolean type.
Group: advancedsetHttpResponseDuringProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildersetHttpResponseDuringProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder setHttpResponseDuringProcessing(String setHttpResponseDuringProcessing)
java.lang.Boolean
type.
Group: advancedsetHttpResponseDuringProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildersetHttpResponseDuringProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder skipServletProcessing(Boolean skipServletProcessing)
java.lang.Boolean type.
Group: advancedskipServletProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderskipServletProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder skipServletProcessing(String skipServletProcessing)
java.lang.Boolean
type.
Group: advancedskipServletProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderskipServletProcessing in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder synchronous(boolean synchronous)
boolean type.
Default: false
Group: advancedsynchronous in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildersynchronous in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder synchronous(String synchronous)
boolean type.
Default: false
Group: advancedsynchronous in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuildersynchronous in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder useSystemProperties(boolean useSystemProperties)
boolean type.
Default: false
Group: advanceduseSystemProperties in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderuseSystemProperties in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderdefault ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointBuilder useSystemProperties(String useSystemProperties)
boolean type.
Default: false
Group: advanceduseSystemProperties in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointConsumerBuilderuseSystemProperties in interface ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilderApache Camel